Upgrading Multi-Node Deployments

If you have deployed a multi-node deployment prior to Sisense V7.4, and you want to upgrade your deployment to the latest version of SIsense, there are a few steps you must perform depending on which model you have chosen.

If you have a deployment similar to Model 1, run the Wizard and select Install New Deployment and following the instructions as described in Deploying Model 1.

If you have a deployment similar to Model 2, 3, or 4 that was deployed with an earlier version of the Multi-Node Deployment Wizard (prior to Sisense V7.4), you can upgrade your deployment with the latest version of the Wizard by overwriting the new history.json file with an older version. The history.json file is a configuration file that is installed anytime you install the Multi-Node Deployment Wizard. To upgrade, you need to copy this file from your original Multi-Node Deployment Wizard directory you created when first installed the Wizard and overwrite it in the latest version of the Multi-Node Deployment Wizard directory.

To overwrite the history.json file: 

  1. Install the latest version of the Multi-Node Deployment Wizard.
  2. Copy the history.json file from the old Multi-Node Deployment Wizard you created when you first configured your deployment.
    MultiServerDeploymentWizard\resources\app\
  3. Paste the history.json file in the same location in your new Multi-Node Deployment Wizard directory overwriting the existing history.json file.
    MultiServerDeploymentWizard\resources\app\
  4. Run the New Multi-Node Deployment Wizard, select Upgrade Existing Deployment, and run all next steps as you w